﻿/**Begin D:\work\PDM_UPGRADE\PDM1\HRDT_constraint.sql **/
 EXEC P_ALTERPK 'PK_HRDT_WORKITEMSET', 'T_HRDT_WORKITEMSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_WORKITEMSET') CREATE INDEX IDX_HRDT_WORKITEMSET ON T_HRDT_WORKITEMSET ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_WORKITEMSETENTRY', 'T_HRDT_WORKITEMSETENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_WORKITEMSETENTRY') CREATE INDEX IDX_HRDT_WORKITEMSETENTRY ON T_HRDT_WORKITEMSETENTRY ( FID );


 EXEC P_ALTERPK 'PK_HRDT_WORKITEMSETROLES', 'T_HRDT_WORKITEMSETROLES', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_WORKITEMSETROLES') CREATE INDEX IDX_HRDT_WORKITEMSETROLES ON T_HRDT_WORKITEMSETROLES ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HRDT_WISENTRYUSER', 'T_HRDT_WISENTRYUSER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_WISENTRYUSER') CREATE INDEX IDX_HRDT_WISENTRYUSER ON T_HRDT_WISENTRYUSER ( FENTRYID ,FUSERID );


 EXEC P_ALTERPK 'PK_HRDT_WORKITEM', 'T_HRDT_WORKITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_WORKITEM') CREATE INDEX IDX_HRDT_WORKITEM ON T_HRDT_WORKITEM ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_WORKITEM_L', 'T_HRDT_WORKITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_WORKITEM_L') CREATE INDEX IDX_HRDT_WORKITEM_L ON T_HRDT_WORKITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_WORKITEMTOOL', 'T_HRDT_WORKITEMTOOL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_WORKITEMTOOL') CREATE INDEX IDX_HRDT_WORKITEMTOOL ON T_HRDT_WORKITEMTOOL ( FID );


 EXEC P_ALTERPK 'PK_HRDT_WORKITEMKP', 'T_HRDT_WORKITEMKP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_WORKITEMKP') CREATE INDEX IDX_HRDT_WORKITEMKP ON T_HRDT_WORKITEMKP ( FID );


 EXEC P_ALTERPK 'PK_HRDT_TOOLDETAIL', 'T_HRDT_TOOLDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_TOOLDETAIL') CREATE INDEX IDX_HRDT_TOOLDETAIL ON T_HRDT_TOOLDETAIL ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_TOOLDETAIL_L', 'T_HRDT_TOOLDETAIL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_TOOLDETAIL_L') CREATE INDEX IDX_HRDT_TOOLDETAIL_L ON T_HRDT_TOOLDETAIL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_KNOWLEDGEINFO', 'T_HRDT_KNOWLEDGEINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_KNOWLEDGEINFO') CREATE INDEX IDX_HRDT_KNOWLEDGEINFO ON T_HRDT_KNOWLEDGEINFO ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_KNOWLEDGEINFO_L', 'T_HRDT_KNOWLEDGEINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_KNOWLEDGEINFO_L') CREATE INDEX IDX_HRDT_KNOWLEDGEINFO_L ON T_HRDT_KNOWLEDGEINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_WORKBENCHROLE', 'T_HRDT_WORKBENCHROLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_WORKBENCHROLE') CREATE INDEX IDX_HRDT_WORKBENCHROLE ON T_HRDT_WORKBENCHROLE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_WORKBENCHROLE_L', 'T_HRDT_WORKBENCHROLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_WORKBENCHROLE_L') CREATE INDEX IDX_HRDT_WORKBENCHROLE_L ON T_HRDT_WORKBENCHROLE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_WBROLERECORD', 'T_HRDT_WBROLERECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_WBROLERECORD') CREATE INDEX IDX_HRDT_WBROLERECORD ON T_HRDT_WBROLERECORD ( FUSERID );


 EXEC P_ALTERPK 'PK_HRDT_COMTOOLRECORD', 'T_HRDT_COMTOOLRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_COMTOOLRECORD') CREATE INDEX IDX_HRDT_COMTOOLRECORD ON T_HRDT_COMTOOLRECORD ( FUSERID ,FWORKBENCHROLEID );


 EXEC P_ALTERPK 'PK_HRDT_WORKITEMSET_L', 'T_HRDT_WORKITEMSET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_WORKITEMSET_L') CREATE INDEX IDX_HRDT_WORKITEMSET_L ON T_HRDT_WORKITEMSET_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_TOOLDETAILTYPE', 'T_HRDT_TOOLDETAILTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_TOOLDETAILTYPE') CREATE INDEX IDX_HRDT_TOOLDETAILTYPE ON T_HRDT_TOOLDETAILTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_TOOLDETAILTYPE_L', 'T_HRDT_TOOLDETAILTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_TOOLDETAILTYPE_L') CREATE INDEX IDX_HRDT_TOOLDETAILTYPE_L ON T_HRDT_TOOLDETAILTYPE_L ( FID ,FLOCALEID );



/**End D:\work\PDM_UPGRADE\PDM1\HRDT_constraint.sql **/
