﻿/**Begin D:\work\PDM_UPGRADE\PDM1\HRDT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRDT_TOOLDETAIL' AND KSQL_COL_NAME ='FFORMTOOLPAGEADDR') 
 ALTER TABLE T_HRDT_TOOLDETAIL ADD (FFORMTOOLPAGEADDR VARCHAR(1000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRDT_BIZMODGROUPENTRY' AND KSQL_COL_NAME ='FDISPLAYNAME') 
 ALTER TABLE T_HRDT_BIZMODGROUPENTRY ADD (FDISPLAYNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRDT_BIZMODELTOOLENTRY' AND KSQL_COL_NAME ='FFIELDCONFIG') 
 ALTER TABLE T_HRDT_BIZMODELTOOLENTRY ADD (FFIELDCONFIG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDT_BIZMODGROUPENTRY_L') 
 CREATE TABLE T_HRDT_BIZMODGROUPENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDISPLAYNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDT_FIELDMODCONFENTRY') 
 CREATE TABLE T_HRDT_FIELDMODCONFENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FFIELDCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FCANMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FCANMODNAME CHAR(1) DEFAULT '0' NOT NULL,
FCANMODVISIBLE CHAR(1) DEFAULT '0' NOT NULL,
FCANMODMUST CHAR(1) DEFAULT '0' NOT NULL,
FSOURCEID VARCHAR(60) DEFAULT ' ' NOT NULL,
FCANDISPLAY CHAR(1) DEFAULT '0' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDT_BIZMODELMODTOOL') 
 CREATE TABLE T_HRDT_BIZMODELMODTOOL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZMODELID BIGINT DEFAULT 0 NOT NULL,
FISSYN CHAR(1) DEFAULT '0' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FRESULT VARCHAR(255) DEFAULT ' ' NOT NULL,
FRESULT_TAG NCLOB,
FEFFECTIVESTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FERRORMESSAGE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDT_ADDFIELDENTRY') 
 CREATE TABLE T_HRDT_ADDFIELDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FFIELDCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDCONFIG NCLOB,
FBELONGENTITY VARCHAR(500) DEFAULT ' ' NOT NULL,
FMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDT_MODIFYFIELDENTRY') 
 CREATE TABLE T_HRDT_MODIFYFIELDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FFIELDCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELDVISIBLE CHAR(1) DEFAULT '0' NOT NULL,
FFIELDMUST CHAR(1) DEFAULT '0' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDT_MODIFYFIELDENTRY_L') 
 CREATE TABLE T_HRDT_MODIFYFIELDENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDT_BIZMODELMODTOOL_L') 
 CREATE TABLE T_HRDT_BIZMODELMODTOOL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDT_ADDFIELDENTRY_L') 
 CREATE TABLE T_HRDT_ADDFIELDENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\work\PDM_UPGRADE\PDM1\HRDT_table.sql **/
