﻿/**Begin D:\work\PDM_UPGRADE\PDM1\HRDT_constraint.sql **/
 EXEC P_ALTERPK 'PK_HRDT_BIZMODELCONFIG', 'T_HRDT_BIZMODELCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODELCONFIG') CREATE INDEX IDX_HRDT_BIZMODELCONFIG ON T_HRDT_BIZMODELCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_BASECONFIG', 'T_HRDT_BASECONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BASECONFIG') CREATE INDEX IDX_HRDT_BASECONFIG ON T_HRDT_BASECONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_BASECONFIG_L', 'T_HRDT_BASECONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BASECONFIG_L') CREATE INDEX IDX_HRDT_BASECONFIG_L ON T_HRDT_BASECONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_BIZMODELTYPE', 'T_HRDT_BIZMODELTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODELTYPE') CREATE INDEX IDX_HRDT_BIZMODELTYPE ON T_HRDT_BIZMODELTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_BIZMODELTYPE_L', 'T_HRDT_BIZMODELTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODELTYPE_L') CREATE INDEX IDX_HRDT_BIZMODELTYPE_L ON T_HRDT_BIZMODELTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_BIZMODELRECORD', 'T_HRDT_BIZMODELRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODELRECORD') CREATE INDEX IDX_HRDT_BIZMODELRECORD ON T_HRDT_BIZMODELRECORD ( FBIZMODELID );


 EXEC P_ALTERPK 'PK_HRDT_BIZMODRECENTRY', 'T_HRDT_BIZMODRECENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODRECENTRY') CREATE INDEX IDX_HRDT_BIZMODRECENTRY ON T_HRDT_BIZMODRECENTRY ( FID );


 EXEC P_ALTERPK 'PK_HRDT_BIZMODELCONFIG_L', 'T_HRDT_BIZMODELCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODELCONFIG_L') CREATE INDEX IDX_HRDT_BIZMODELCONFIG_L ON T_HRDT_BIZMODELCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_BIZMODGROUPENTRY', 'T_HRDT_BIZMODGROUPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODGROUPENTRY') CREATE INDEX IDX_HRDT_BIZMODGROUPENTRY ON T_HRDT_BIZMODGROUPENTRY ( FID );


 EXEC P_ALTERPK 'PK_HRDT_BIZMODENTITYENTRY', 'T_HRDT_BIZMODENTITYENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODENTITYENTRY') CREATE INDEX IDX_HRDT_BIZMODENTITYENTRY ON T_HRDT_BIZMODENTITYENTRY ( FID );


 EXEC P_ALTERPK 'PK_HRDT_BIZMODELABILITY', 'T_HRDT_BIZMODELABILITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODELABILITY') CREATE INDEX IDX_HRDT_BIZMODELABILITY ON T_HRDT_BIZMODELABILITY ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_BIZMODELABILITY_L', 'T_HRDT_BIZMODELABILITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODELABILITY_L') CREATE INDEX IDX_HRDT_BIZMODELABILITY_L ON T_HRDT_BIZMODELABILITY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_MODELABILITYENTRY', 'T_HRDT_MODELABILITYENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_MODELABILITYENTRY') CREATE INDEX IDX_HRDT_MODELABILITYENTRY ON T_HRDT_MODELABILITYENTRY ( FID );


 EXEC P_ALTERPK 'PK_HRDT_BIZMODELADDTOOL', 'T_HRDT_BIZMODELADDTOOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODELADDTOOL') CREATE INDEX IDX_HRDT_BIZMODELADDTOOL ON T_HRDT_BIZMODELADDTOOL ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_BIZMODELADDTOOL_L', 'T_HRDT_BIZMODELADDTOOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODELADDTOOL_L') CREATE INDEX IDX_HRDT_BIZMODELADDTOOL_L ON T_HRDT_BIZMODELADDTOOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_BIZMODELTOOLENTRY', 'T_HRDT_BIZMODELTOOLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODELTOOLENTRY') CREATE INDEX IDX_HRDT_BIZMODELTOOLENTRY ON T_HRDT_BIZMODELTOOLENTRY ( FID );


 EXEC P_ALTERPK 'PK_HRDT_BIZMODELTOOLENTRY_L', 'T_HRDT_BIZMODELTOOLENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_BIZMODELTOOLENTRY_L') CREATE INDEX IDX_HRDT_BIZMODELTOOLENTRY_L ON T_HRDT_BIZMODELTOOLENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_PERSONFILEVIEWS', 'T_HRDT_PERSONFILEVIEWS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_PERSONFILEVIEWS') CREATE INDEX IDX_HRDT_PERSONFILEVIEWS ON T_HRDT_PERSONFILEVIEWS ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HRDT_PERSONFILETOOL', 'T_HRDT_PERSONFILETOOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_PERSONFILETOOL') CREATE INDEX IDX_HRDT_PERSONFILETOOL ON T_HRDT_PERSONFILETOOL ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_PERSONFILETOOL_L', 'T_HRDT_PERSONFILETOOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_PERSONFILETOOL_L') CREATE INDEX IDX_HRDT_PERSONFILETOOL_L ON T_HRDT_PERSONFILETOOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_MANAGEFILEVIEWS', 'T_HRDT_MANAGEFILEVIEWS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_MANAGEFILEVIEWS') CREATE INDEX IDX_HRDT_MANAGEFILEVIEWS ON T_HRDT_MANAGEFILEVIEWS ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HRDT_PERSONMASSMG', 'T_HRDT_PERSONMASSMG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_PERSONMASSMG') CREATE INDEX IDX_HRDT_PERSONMASSMG ON T_HRDT_PERSONMASSMG ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_PERSONMASSMG_L', 'T_HRDT_PERSONMASSMG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_PERSONMASSMG_L') CREATE INDEX IDX_HRDT_PERSONMASSMG_L ON T_HRDT_PERSONMASSMG_L ( FID ,FLOCALEID );



/**End D:\work\PDM_UPGRADE\PDM1\HRDT_constraint.sql **/
